export interface Coord2D {
  x: number;
  y: number;
}
export const cartesianDistance = (a: Coord2D, b: Coord2D) =>
  Math.sqrt((b.y - a.y) ** 2 + (b.x - a.x) ** 2);

export interface Dimension2D {
  width: number;
  height: number;
}

export interface Velocity2D {
  dCartesian: {
    dx: number;
    dy: number;
  };
  dTheta: number;
}
