export * from "./LevelNames";
export * from "./Level";
export * from "./LevelSelection";
export * from "./Tutorial";
export * from "./CarCadr";

import { LevelNames } from ".";
import { CarCadr, LevelSelection, Tutorial, Level } from ".";

export const LEVELS: Level[] = [
  new LevelSelection(),
  new Tutorial(),
  new CarCadr(),
];
export const LEVEL_PROGRESSION: Record<string, string[]> = {
  [LevelNames.LevelSelection]: [LevelNames.Tutorial],
  [LevelNames.Tutorial]: [LevelNames.CarCadr],
};
